Package com.sap.ai.sdk.orchestration

# Enum Class TranslationConfig.TemplateRole

java.lang.Object
java.lang.Enum<TranslationConfig.TemplateRole>
com.sap.ai.sdk.orchestration.TranslationConfig.TemplateRole

All Implemented Interfaces:
  `Serializable`, `Comparable<TranslationConfig.TemplateRole>`, `Constable`

Enclosing interface:
  `TranslationConfig`

public static enum TranslationConfig.TemplateRole extends Enum<TranslationConfig.TemplateRole>
Supported values for `items[]` when `category=template_roles`.

These map to the roles used in prompt templates.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSISTANT`
  Template role for assistant messages.
  `DEVELOPER`
  Template role for developer messages.
  `SYSTEM`
  Template role for system messages.
  `TOOL`
  Template role for tool messages.
  `USER`
  Template role for user messages.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static TranslationConfig.TemplateRole`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TranslationConfig.TemplateRole[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### USER

    public static final TranslationConfig.TemplateRole USER
    Template role for user messages.

  - ### SYSTEM

    public static final TranslationConfig.TemplateRole SYSTEM
    Template role for system messages.

  - ### ASSISTANT

    public static final TranslationConfig.TemplateRole ASSISTANT
    Template role for assistant messages.

  - ### DEVELOPER

    public static final TranslationConfig.TemplateRole DEVELOPER
    Template role for developer messages.

  - ### TOOL

    public static final TranslationConfig.TemplateRole TOOL
    Template role for tool messages.

- ## Method Details

  - ### values

    public static TranslationConfig.TemplateRole[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TranslationConfig.TemplateRole valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()